Ppmspread User Manual(1)

NAME

ppmspread - displace a PPM image's pixels by a random amount

SYNOPSIS

ppmspread amount [ppmfile] [-randomseed=integer]

DESCRIPTION

This program is part of Netpbm(1) .

ppmspread reads a PPM image as input and moves every pixel around a random bit relative to its original position. amount determines by how many pixels a pixel is to be moved around at most.

Pictures processed with this filter will seem to be somewhat dissolved or unfocussed (although they appear more coarse than images processed by something like pnmconvol).

The randomness in the image is limited before Netpbm 10.37 (December 2006) -- if you run the program twice in the same second, you may get identical output.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), ppmspread recognizes the following command line options:

-randomseed=integer
    This is the seed for the random number generator that generates the pixels.

    Use this to ensure you get the same image on separate invocations.

    This option was new in Netpbm 10.94 (March 2021).

SEE ALSO
ppm(1) , pnmconvol(1)

AUTHOR

Copyright (C) 1993 by Frank Neumann

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/ppmspread.html